ome-common 5.3.2

Classes | Functions
ome::common::xml::dom Namespace Reference

Domain object model. More...

## Classes
class | Base
| Base of the DOM wrapper hierarchy. More...
class | Document
| DOM Document wrapper. More...
class | Element
| DOM Element wrapper. More...
class | NamedNodeMap
| DOM NamedNodeMap wrapper. More...
class | Node
| DOM Node wrapper. More...
class | NodeList
| DOM NodeList wrapper. More...
struct | ParseParameters
| Parameters controlling DOM writing. More...
class | Wrapper
| Xerces DOM class wrapper. More...
struct | WriteParameters
| Parameters controlling DOM writing. More...

## Functions
Document | createEmptyDocument (const std::string &qualifiedName)
| Construct an empty Document. More...
Document | createEmptyDocument (const std::string &namespaceURI, const std::string &qualifiedName)
| Construct an empty Document. More...
Document | createDocument (const boost::filesystem::path &file, EntityResolver &resolver, const ParseParameters &params=ParseParameters())
| Construct a Document from the content of a file. More...
Document | createDocument (const std::string &text, EntityResolver &resolver, const ParseParameters &params=ParseParameters(), const std::string &id="membuf")
| Construct a Document from the content of a string. More...
Document | createDocument (std::istream &stream, EntityResolver &resolver, const ParseParameters &params=ParseParameters(), const std::string &id="streambuf")
| Construct a Document from the content of an input stream. More...
void | writeNode (xercesc::DOMNode &node, const boost::filesystem::path &file, const WriteParameters &params=WriteParameters())
| Write a Node to a file. More...
void | writeNode (xercesc::DOMNode &node, std::ostream &stream, const WriteParameters &params=WriteParameters())
| Write a Node to a stream. More...
void | writeNode (xercesc::DOMNode &node, std::string &text, const WriteParameters &params=WriteParameters())
| Write a Node to a stream. More...
void | writeNode (Node &node, const boost::filesystem::path &file, const WriteParameters &params=WriteParameters())
| Write a Node to a file. More...
void | writeNode (Node &node, std::ostream &stream, const WriteParameters &params=WriteParameters())
| Write a Node to a stream. More...
void | writeNode (Node &node, std::string &text, const WriteParameters &params=WriteParameters())
| Write a Node to a stream. More...
void | writeDocument (Document &document, const boost::filesystem::path &file, const WriteParameters &params=WriteParameters())
| Write a Document to a file. More...
void | writeDocument (Document &document, std::ostream &stream, const WriteParameters &params=WriteParameters())
| Write a Document to a stream. More...
void | writeDocument (Document &document, std::string &text, const WriteParameters &params=WriteParameters())
| Write a Document to a string. More...

## Detailed Description

Domain object model.

## Function Documentation

## § createDocument() [1/3]

Document ome::common::xml::dom::createDocument | ( | const boost::filesystem::path & | file,
|  | EntityResolver & | resolver,
|  | const ParseParameters & | params = `ParseParameters()`
| ) |  |

Construct a Document from the content of a file.

Parameters

  file | the file to read.
  resolver | the EntityResolver to use.
  params | XML parser parameters.

Returns
  the new Document.

Referenced by ome::common::xml::dom::ParseParameters::ParseParameters(), and ome::common::xml::EntityResolver::registerCatalog().

Here is the caller graph for this function:

## § createDocument() [2/3]

Document ome::common::xml::dom::createDocument | ( | const std::string & | text,
|  | EntityResolver & | resolver,
|  | const ParseParameters & | params = `ParseParameters()`,
|  | const std::string & | id = `"membuf"`
| ) |  |

Construct a Document from the content of a string.

Parameters

  text | the string to use.
  resolver | the EntityResolver to use.
  params | XML parser parameters.
  id | document filename (for error reporting only).

Returns
  the new Document.

## § createDocument() [3/3]

Document ome::common::xml::dom::createDocument | ( | std::istream & | stream,
|  | EntityResolver & | resolver,
|  | const ParseParameters & | params = `ParseParameters()`,
|  | const std::string & | id = `"streambuf"`
| ) |  |

Construct a Document from the content of an input stream.

Parameters

  stream | the stream to read.
  resolver | the EntityResolver to use.
  params | XML parser parameters.
  id | document filename (for error reporting only).

Returns
  the new Document.

## § createEmptyDocument() [1/2]

Document ome::common::xml::dom::createEmptyDocument | ( | const std::string & | qualifiedName | ) |

Construct an empty Document.

Parameters

  qualifiedName | the qualified name of the document type.

Returns
  the new Document.

Referenced by ome::common::xml::dom::ParseParameters::ParseParameters().

Here is the caller graph for this function:

## § createEmptyDocument() [2/2]

Document ome::common::xml::dom::createEmptyDocument | ( | const std::string & | namespaceURI,
|  | const std::string & | qualifiedName
| ) |  |

Construct an empty Document.

Parameters

  namespaceURI | the namespace URI of the root document element.
  qualifiedName | the qualified name of the document type.

Returns
  the new Document.

## § writeDocument() [1/3]

void ome::common::xml::dom::writeDocument | ( | Document & | document,
|  | const boost::filesystem::path & | file,
|  | const WriteParameters & | params = `WriteParameters()`
| ) |  |

Write a Document to a file.

Parameters

  document | the document to use.
  file | the file to write.
  params | XML output parameters.

References ome::common::xml::dom::Wrapper< WrappedType, Parent >::get(), and writeNode().

Referenced by ome::common::xml::dom::WriteParameters::WriteParameters().

Here is the caller graph for this function:

## § writeDocument() [2/3]

void ome::common::xml::dom::writeDocument | ( | Document & | document,
|  | std::ostream & | stream,
|  | const WriteParameters & | params = `WriteParameters()`
| ) |  |

Write a Document to a stream.

Parameters

  document | the document to use.
  stream | the stream to write to.
  params | XML output parameters.

References ome::common::xml::dom::Wrapper< WrappedType, Parent >::get(), and writeNode().

## § writeDocument() [3/3]

void ome::common::xml::dom::writeDocument | ( | Document & | document,
|  | std::string & | text,
|  | const WriteParameters & | params = `WriteParameters()`
| ) |  |

Write a Document to a string.

Parameters

  document | the document to use.
  text | the string to store the text in.
  params | XML output parameters.

References ome::common::xml::dom::Wrapper< WrappedType, Parent >::get(), and writeNode().

## § writeNode() [1/6]

void ome::common::xml::dom::writeNode | ( | xercesc::DOMNode & | node,
|  | const boost::filesystem::path & | file,
|  | const WriteParameters & | params = `WriteParameters()`
| ) |  |

Write a Node to a file.

Parameters

  node | the node to use.
  file | the file to write.
  params | XML output parameters.

Referenced by writeDocument(), writeNode(), and ome::common::xml::dom::WriteParameters::WriteParameters().

Here is the caller graph for this function:

## § writeNode() [2/6]

void ome::common::xml::dom::writeNode | ( | xercesc::DOMNode & | node,
|  | std::ostream & | stream,
|  | const WriteParameters & | params = `WriteParameters()`
| ) |  |

Write a Node to a stream.

Parameters

  node | the node to use.
  stream | the stream to write to.
  params | XML output parameters.

## § writeNode() [3/6]

void ome::common::xml::dom::writeNode | ( | xercesc::DOMNode & | node,
|  | std::string & | text,
|  | const WriteParameters & | params = `WriteParameters()`
| ) |  |

Write a Node to a stream.

Parameters

  node | the node to use.
  text | the string to store the text in.
  params | XML output parameters.

## § writeNode() [4/6]

void ome::common::xml::dom::writeNode | ( | Node & | node,
|  | const boost::filesystem::path & | file,
|  | const WriteParameters & | params = `WriteParameters()`
| ) |  |

Write a Node to a file.

Parameters

  node | the node to use.
  file | the file to write.
  params | XML output parameters.

References ome::common::xml::dom::Wrapper< WrappedType, Parent >::get(), and writeNode().

## § writeNode() [5/6]

void ome::common::xml::dom::writeNode | ( | Node & | node,
|  | std::ostream & | stream,
|  | const WriteParameters & | params = `WriteParameters()`
| ) |  |

Write a Node to a stream.

Parameters

  node | the node to use.
  stream | the stream to write to.
  params | XML output parameters.

References ome::common::xml::dom::Wrapper< WrappedType, Parent >::get(), and writeNode().

## § writeNode() [6/6]

void ome::common::xml::dom::writeNode | ( | Node & | node,
|  | std::string & | text,
|  | const WriteParameters & | params = `WriteParameters()`
| ) |  |

Write a Node to a stream.

Parameters

  node | the node to use.
  text | the string to store the text in.
  params | XML output parameters.

References ome::common::xml::dom::Wrapper< WrappedType, Parent >::get(), and writeNode().